# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KPopupFrame Class Reference

Frame with popup menu behavior. More...

`#include <kdatetbl.h>`

Inheritance diagram for KPopupFrame:

[legend]
Collaboration diagram for KPopupFrame:

[legend]
List of all members.

## Public Slots

void | close (int r)

## Public Member Functions

| KPopupFrame (QWidget *parent=0, const char *name=0)
void | setMainWidget (QWidget *m)
virtual void | resizeEvent (QResizeEvent *)
void | popup (const QPoint &pos)
int | exec (QPoint p)
int | exec (int x, int y)

## Protected Member Functions

virtual void | keyPressEvent (QKeyEvent *e)
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

int | result
QWidget * | main

## Detailed Description

Frame with popup menu behavior.

Author:
  Tim Gilman, Mirko Boehm

Version:
  Id
    kdatetbl.h 382217 2005-01-25 09:31:19Z dfaure

Definition at line 166 of file kdatetbl.h.

## Constructor & Destructor Documentation

KPopupFrame::KPopupFrame | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| The contructor. Creates a dialog without buttons. Definition at line 888 of file kdatetbl.cpp. References QFrame::setFrameStyle(), and QFrame::setMidLineWidth().

## Member Function Documentation

void KPopupFrame::keyPressEvent | ( | QKeyEvent * | e | ) | `[protected, virtual]`

| Catch key press events. Definition at line 898 of file kdatetbl.cpp. References result.

void KPopupFrame::close | ( | int | r | ) | `[slot]`

| Close the popup window. This is called from the main widget, usually. `r` is the result returned from exec(). Definition at line 908 of file kdatetbl.cpp. References result.

void KPopupFrame::setMainWidget | ( | QWidget * | m | ) |

Set the main widget.

You cannot set the main widget from the constructor, since it must be a child of the frame itselfes. Be careful: the size is set to the main widgets size. It is up to you to set the main widgets correct size before setting it as the main widget.

Definition at line 915 of file kdatetbl.cpp.

References QFrame::frameWidth(), QWidget::height(), main, and QWidget::width().

Referenced by KDatePicker::selectYearClicked().

void KPopupFrame::resizeEvent | ( | QResizeEvent * |  | ) | `[virtual]`

| The resize event. Simply resizes the main widget to the whole widgets client size. Reimplemented from QFrame. Definition at line 925 of file kdatetbl.cpp. References QFrame::frameWidth(), main, and QWidget::setGeometry().

void KPopupFrame::popup | ( | const QPoint & | pos | ) |

| Open the popup window at position pos. Definition at line 935 of file kdatetbl.cpp. References KGlobalSettings::desktopGeometry(), QRect::height(), QRect::width(), QRect::x(), and QRect::y(). Referenced by exec().

int KPopupFrame::exec | ( | QPoint | p | ) |

| Execute the popup window. Definition at line 959 of file kdatetbl.cpp. References popup(), and result. Referenced by exec(), and KDatePicker::selectYearClicked().

int KPopupFrame::exec | ( | int | x,
|  | int | y
| ) |

| Execute the popup window. Definition at line 969 of file kdatetbl.cpp. References exec().

## Member Data Documentation

int KPopupFrame::result`[protected]`

| The result. It is returned from exec() when the popup window closes. Definition at line 173 of file kdatetbl.h. Referenced by close(), exec(), and keyPressEvent().

QWidget* KPopupFrame::main`[protected]`

| The only subwidget that uses the whole dialog window. Definition at line 181 of file kdatetbl.h. Referenced by resizeEvent(), and setMainWidget().

The documentation for this class was generated from the following files:

- kdatetbl.h
- kdatetbl.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:53 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003